Packages
List packages with optional filters. Returns packages ordered by creation date (newest first).
Authorization
apiKey API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys
In: header
Query Parameters
Workspace name. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must match the key's workspace.
^(?!ws[-_])[a-z0-9](-?[a-z0-9])*$4 <= length <= 100Filter by project ID or name.
length <= 100Filter by package type
Value in
- "cli"
- "cloudformation"
- "helm"
- "operator-image"
- "terraform"
Filter by package status
Value in
- "pending"
- "building"
- "ready"
- "failed"
- "canceled"
Search packages by type or version
length <= 256Maximum number of items to return per page
1 <= value <= 10020Cursor for pagination - omit for first page
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/v1/packages?project=my-project"{ "items": [ { "id": "pkg_jebo2o5jmm7raefl2m1pe3cz", "projectId": "prj_mcytp6z3j91f7tn5ryqsfwtr", "workspaceId": "ws_It13CUaGEhLLAB87simX0", "type": "cli", "status": "pending", "version": "string", "sourceReleaseId": "rel_WbhQgksrawSKIpEN0NAssHX9", "setupFingerprints": { "property1": { "target": "string", "fingerprint": "string", "version": 1 }, "property2": { "target": "string", "fingerprint": "string", "version": 1 } }, "packageBuildInputHash": "string", "config": { "binaryTargets": [ "windows-x64" ], "displayName": "string", "name": "string", "type": "cli" }, "outputs": { "binaries": { "property1": { "sha256": "string", "size": 0, "url": "string" }, "property2": { "sha256": "string", "size": 0, "url": "string" } }, "buildInfo": { "alienSha": "string", "horizonSha": "string", "machineBundleManifestUrl": "string", "platformSha": "string", "sourceAgentBinarySha256": "string", "sourceCliBinarySha256": "string" }, "type": "cli" }, "error": null, "sourceBinarySha256": "string", "retries": 0, "lockedAt": "2019-08-24T14:15:22Z", "lockedBy": "string", "leaseExpiresAt": "2019-08-24T14:15:22Z", "buildPhase": "building", "lastProgressAt": "2019-08-24T14:15:22Z", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "completedAt": "2019-08-24T14:15:22Z" } ], "nextCursor": "string"}Get details of a specific package.
Authorization
apiKey API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys
In: header
Path Parameters
Unique identifier for the package.
pkg_[0-9a-z]{28}$Query Parameters
Workspace name. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must match the key's workspace.
^(?!ws[-_])[a-z0-9](-?[a-z0-9])*$4 <= length <= 100Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/v1/packages/pkg_jebo2o5jmm7raefl2m1pe3cz"{ "id": "pkg_jebo2o5jmm7raefl2m1pe3cz", "projectId": "prj_mcytp6z3j91f7tn5ryqsfwtr", "workspaceId": "ws_It13CUaGEhLLAB87simX0", "type": "cli", "status": "pending", "version": "string", "sourceReleaseId": "rel_WbhQgksrawSKIpEN0NAssHX9", "setupFingerprints": { "property1": { "target": "string", "fingerprint": "string", "version": 1 }, "property2": { "target": "string", "fingerprint": "string", "version": 1 } }, "packageBuildInputHash": "string", "config": { "binaryTargets": [ "windows-x64" ], "displayName": "string", "name": "string", "type": "cli" }, "outputs": { "binaries": { "property1": { "sha256": "string", "size": 0, "url": "string" }, "property2": { "sha256": "string", "size": 0, "url": "string" } }, "buildInfo": { "alienSha": "string", "horizonSha": "string", "machineBundleManifestUrl": "string", "platformSha": "string", "sourceAgentBinarySha256": "string", "sourceCliBinarySha256": "string" }, "type": "cli" }, "error": null, "sourceBinarySha256": "string", "retries": 0, "lockedAt": "2019-08-24T14:15:22Z", "lockedBy": "string", "leaseExpiresAt": "2019-08-24T14:15:22Z", "buildPhase": "building", "lastProgressAt": "2019-08-24T14:15:22Z", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "completedAt": "2019-08-24T14:15:22Z"}Rebuild packages for a project. This will cancel any pending packages and create new ones with auto-incremented versions.
Authorization
apiKey API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys
In: header
Query Parameters
Workspace name. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must match the key's workspace.
^(?!ws[-_])[a-z0-9](-?[a-z0-9])*$4 <= length <= 100Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/v1/packages/rebuild" \ -H "Content-Type: application/json" \ -d '{ "project": "string" }'{ "packagesCreated": 0}Cancel a pending or building package.
Authorization
apiKey API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys
In: header
Path Parameters
Unique identifier for the package.
pkg_[0-9a-z]{28}$Query Parameters
Workspace name. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must match the key's workspace.
^(?!ws[-_])[a-z0-9](-?[a-z0-9])*$4 <= length <= 100Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/packages/pkg_jebo2o5jmm7raefl2m1pe3cz/cancel"{ "id": "pkg_jebo2o5jmm7raefl2m1pe3cz", "projectId": "prj_mcytp6z3j91f7tn5ryqsfwtr", "workspaceId": "ws_It13CUaGEhLLAB87simX0", "type": "cli", "status": "pending", "version": "string", "sourceReleaseId": "rel_WbhQgksrawSKIpEN0NAssHX9", "setupFingerprints": { "property1": { "target": "string", "fingerprint": "string", "version": 1 }, "property2": { "target": "string", "fingerprint": "string", "version": 1 } }, "packageBuildInputHash": "string", "config": { "binaryTargets": [ "windows-x64" ], "displayName": "string", "name": "string", "type": "cli" }, "outputs": { "binaries": { "property1": { "sha256": "string", "size": 0, "url": "string" }, "property2": { "sha256": "string", "size": 0, "url": "string" } }, "buildInfo": { "alienSha": "string", "horizonSha": "string", "machineBundleManifestUrl": "string", "platformSha": "string", "sourceAgentBinarySha256": "string", "sourceCliBinarySha256": "string" }, "type": "cli" }, "error": null, "sourceBinarySha256": "string", "retries": 0, "lockedAt": "2019-08-24T14:15:22Z", "lockedBy": "string", "leaseExpiresAt": "2019-08-24T14:15:22Z", "buildPhase": "building", "lastProgressAt": "2019-08-24T14:15:22Z", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "completedAt": "2019-08-24T14:15:22Z"}